#pragma once
#ifndef pine_h
#define pin_h

/*
Connexion des equipements :
- Arduino Mega 2560
- 2 cartes Carte I2C extension 16 pwm
- Module ESP8266-01
- Module Horloge RTC DS3231
*/

//$$$$$$$$$$$$$$$$$$$$$$$$ BIBLIOTHEQUES $$$$$$$$$$$$$$$$$$$$$$$$
#include <Arduino.h> // pour Serial...

//$$$$$$$$$$$$$$$$$$$$$$$$ DECLARATIONS $$$$$$$$$$$$$$$$$$$$$$$$
// Pin PWM affects dans le tableau sauvegarde.cpp
//#define PIN_PWM_BLANC_1 2 // sortie 2 non affecte, probleme toujours LOW sur carte B et D
//#define PIN_PWM_BLANC_2 3 // sortie 3 pwm 
//#define PIN_PWM_BLANC_3 4 // sortie 4 pwm
//#define PIN_PWM_BLANC_4 5 // sortie 5 non affecte, probleme toujours LOW sur carte B et D
//#define PIN_PWM_BLANC_5 6 // sortie 6 pwm
//#define PIN_PWM_BLEU_1 7 // sortie 7 pwm 
//#define PIN_PWM_BLEU_2 8 // sortie 8 pwm
//#define PIN_PWM_BLEU_3 9 // sortie 9 pwm
//#define PIN_PWM_BLEU_4 10 // sortie 10 pwm
//#define PIN_PWM_BLANC_1 11 // sortie 11 pwm
//#define PIN_PWM_BLANC_4 12 // sortie 12 pwm
#define PIN_PWM_LUNE 13 // sortie pwm vers le canal Lune affect dans le tableau sauvegarde.h
#define PIN_PWM_VENTILATEUR 44 // sortie pwm vers les ventilateurs
#define PIN_PWM_UV 45 // sortie pwm vers le canal UV affect dans le tableau sauvegarde.h
//#define PIN_PWM_BLEU_5 46 // sortie pwm affect dans le tableau sauvegarde.h
// Autres pins
// 18 TX1 -> pin RX du module ESP8266-01 
// 19 RX1 -> pin TX du module ESP8266-01
// 20 SDA > SDA horloge DS3231 RTC
// 21 SCL > SCL horloge DS3231 RTC
// Thermocouple K Max31885 lecture connexion sur bus SPI
#define PIN_MAX31885DO 50	// 50 MISO > DO Max31885 - Par dfaut [#define PIN_SPI_MISO  (50)]  dans Arduino pin.h   
#define PIN_MAX31885CLK 52	// 52 SCK > CLK Max31885 - Par dfaut [#define PIN_SPI_SCK   (52)] dans Arduino pin.h 
#define PIN_MAX31885CS 53	// 53 CS > CS ou SS Max31885 - Par dfaut [#define PIN_SPI_SS    (53)] dans Arduino pin.h   
// 5V > carte SD VCC
// GND commun > carte SD GND
// 50 MISO > carte SD (Master Input, Slave Output) Entre du module.Par dfaut [#define PIN_SPI_MISO  (50)]  dans Arduino pin.h   
// 51 MOSI > carte SD  (Master Output, Slave Input) Sortie du module. Par dfaut  [#define PIN_SPI_MOSI  (51)] 
// 52 SCK > carte SD  (Clock) horloge pour synchroniser la communication.Par dfaut [#define PIN_SPI_SCK   (52)] dans Arduino pin.h 
// 53 CS > carte SD (ChipSelect) active la communication. Par dfaut [#define PIN_SPI_SS    (53)] dans Arduino pin.h   

// 3.3V : 3.3V module ESP8266-01 
// 3.3V ou 5 V : VCC horloge RTC DS3231
// 3.3V ou 5 V : VCC carte extension 16 pwm n1 
// 3.3V ou 5 V : VCC carte extension 16 pwm n2 
// xxxxxx 5V : 5V sonde temprature DS18B20
// 5V > VCC carte SD
// GND : GND module ESP8266-01
// GND : GND commun aux equipements
// GND : GND horloge RTC DS3231
// GND : Bouton poussoir reset
// Reset -> bouton poussoir Normalement ouvert -> GND Arduino (Hard Reset)


// Module ESP8266-01 -> Arduino Mega 2560
// RX -> 18 TX1 Arduino Mega 2560
// TX -> 19 RX1 Arduino Mega 2560
// 3.3 V -> 3.3V Arduino
// EN -> 3.3V Arduino
// GND -> GND Arduino (tous les GND de l'equipement sont relies)

// Horloge RTC DS3231
// SDA : pin 20 SCL Arduino
// SCL : pin 21 SCL Arduino
// VCC : 3.3ou 5V Arduino
// GND : GND Arduino et GND commun aux equipement

#endif