#pragma once
#ifndef sauvegarde_h
#define sauvegarde_h
//$$$$$$$$$$$$$$$$$$$$$$$$ BIBLIOTHEQUES $$$$$$$$$$$$$$$$$$$$$$$$

//$$$$$$$$$$$$$$$$$$$$$$$$ FICHIERS $$$$$$$$$$$$$$$$$$$$$$$$

//$$$$$$$$$$$$$$$$$$$$$$$$ DECLARATIONS $$$$$$$$$$$$$$$$$$$$$$$$
// 
// dclaration des fonctions dans le .cpp  xxxxxxxxx
void initialiserParametres();

// Acces Eeprom
//uint32_t flagDefaut;		
extern bool flagParametreDefaut;	// Pour rinitialiser avec les paramtres par dfaut
const uint32_t MOT_CLE = 0x15F2270;		// Cl d'acces 23011952 = 0x15F2270
const uint16_t ADRESSE_MOT_CLE = 0x00;	// adresse acces = 0
const uint16_t ADRESSE_DE_SAUVEGARDE = ADRESSE_MOT_CLE + sizeof(MOT_CLE); // adresse mot cl + taille mot cl


// PARAMETRAGE RAMPE ECLAIRAGE
// Rampe eclairage : Paramtres par dfaut canaux et couleurs
const uint8_t NB_CANAUX = 12;				// Nombre de canaux pwm lumiere 1  5 blanc, 6  10 bleu, 11 UV, 12 Lune
const uint8_t NB_COULEURS = 4;				// Nombre de canaux de couleurs blanc, bleu, UV, Lune
const uint8_t NB_PHASE = 4;				// Nombre de phases photoperiode (lever, znith, coucher, nuit)

extern uint8_t canalPinPWM[NB_CANAUX]; // Affecter les pins PWM (pin.h) aux canaux dcompts  partir de 0
enum couleuCanal { coulBlanc = 0, coulBleu = 1, coulUV = 2, coulLune = 3 };
extern uint8_t canalCouleur[NB_CANAUX]; // Affecter les couleurs aux canaux dcompts  partir de 0
const uint8_t VENT_PUISS_V0_DEFAUT = 20;					// Puissance des multichips pour vitesse ventilateur 0%				
const uint8_t VENT_PUISS_V100_DEFAUT = 70;					// Puissance des multichips pour vitesse ventilateur 100%

// Tableau des Photoperiodes : paramtres par dfaut des secondes dans la journe
extern uint32_t PHOTO_COUL_PHASE[NB_COULEURS][NB_PHASE]; // affecter  heure par dfaut dans sauvegarde.cpp 
// Tableau des puissances pour chaque couleur et phase de Photoperiode
extern uint8_t PUISS_PHASE_CANAUX[NB_PHASE][NB_CANAUX]; // affecter puissance par dfaut dans sauvegarde.cpp
struct __attribute__((packed)) strParametres {// force l'ordre des champs
	uint32_t photoHeureSec[NB_COULEURS][NB_PHASE];	// Heures de phases pour les canaux de couleur
	uint8_t photoPuissance[NB_PHASE][NB_CANAUX];	// Puissance de phases pour les canaux de couleur
	uint8_t puisPhaseCanal[NB_PHASE][NB_CANAUX];	// ET COULEURS ???? valeur de lapuissance % de chaque spot selon la phase
	bool tempsLocalEtat;		// Etat marche/arrt du calcul du temps local
	uint8_t ventilateurPuisV0;	// Puisance des multichips blanc et bleu pour ventiler  0%
	uint8_t ventilateurPuisV100;	// Puisssance des multichips blanc et bleu pour ventiler  100 %
};
extern strParametres param;

#endif