#pragma once
#ifndef virtuinoConnect_h
#define virtuinoConnect_h

/* 
Connexion Wifi via Virtuino
- Adapter IP affect par routeur, attribuer des ports non conflictuels entre puces Wifi.
Ex sur Live Box DT : ESP8266-01 Rampe eclairage : IP 192.168.1.21, port 8005 ; 
ESP8266-01 : IP 192.168.1.90 , port 8000 ; 
ESP8266-13 : IP 192.168.1.33, port 8001 ; 
ESP32 IP 192.168.1.43 , port ...
- Accs depuis l'Internet :  : ouvrir un compte Dyndns (noip.com), crer une adresse du routeur (denisio.ddns.net).
- Puis sur le routeur, crer un Nat port entre/sortie identiques (8000) sur l'IP (192.168.1.90) de la puce Wifi.
- Sur Virtuino crer un serveur ave l'IP  et/ou dyndns (denisio.ddns.net), et le port (8000, 8001...) de la puce Wifi 
*/

// ###################### Paramtrage Virtuino selon quipement ######################
//	constantes predefinies dans wifi.h)
//	#define MY_SSID "Dionysos"					// Nom SSID du rseau local
//	#define MY_PASS_WORD "2521fayence"			// Mot de passe (8 caractres mini) du rseau local
#define ESP_PORT 8007							// Port local ESP  couter sur routeur (8005: Eclairage; 8000: Eclosoir; 8001: TEST)
#define ESP_SERVER_IP  "192.168.1.34"			// The three first numbers have to be the same with the router IP
// Tableaux de stockage des variables. On peut changer en float, int...
#define V_MEMORY_COUNT 200						// Nombre valeurs type V (float) memory <=255)
extern float V[];								// Tableau de variable V synchronis Virtuino 


void connectToWiFiNetwork();
boolean waitForResponse(String target1, int timeout);
void virtuinoRun();
String onRequested(char variableType, uint8_t variableIndex);
void onReceived(char variableType, uint8_t variableIndex, String valueAsText);
void initialiserConnexionVirtuino();

#endif